petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscViewerASCIIUseTabs

Turns on or off the use of tabs with the ASCII PetscViewer

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIUseTabs(PetscViewer viewer,PetscBool flg)

Not Collective, but only first processor in set has any effect

### Input Parameters

| viewer | - obtained with PetscViewerASCIIOpen()
| flg | - PETSC_TRUE or PETSC_FALSE

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIIPopTab(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIPushTab(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer()

### Level

developer

### Location

src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages